//debug调试代码，修复chrome无法调试js代码问题，正式环境需要屏蔽改代码，
// console.log('haha');
// debugger;
function clearBlodForURL() {
	var boldURL = document.getElementById("boldURL");
	boldURL.innerHTML = "*{-webkit-tap-highlight-color: rgba(0, 0, 0, 0);}";
}

function showContentTextLoading(height) {
	var loading = document.getElementById("loadImg");
	var temple_title = document.getElementById("temple_title");
	var offHeight = temple_title.offsetHeight;

	loading.style.display = "block";
	loading.style.marginTop = (((height - offHeight) / 2) - loading.offsetHeight) + 'px';

}

function hiddenContentTextLoading() {
	var loading = document.getElementById("loadImg");
	loading.style.display = "none";
}

function insertContentText(HTMLString, Color, Size, count) {
	hiddenContentTextLoading();
	var content_text = document.getElementById("content_text");
	content_text.style.display = "block";
	content_text.innerHTML = HTMLString;
	content_text.style.backgroundColor = Color;
	content_text.style.fontSize = Size + 'px';
	content_text.style.lineHeight = '140%';
}

/*start of----------------文章正文初始化图片占位符---------------------------*/
var ARTICLE_CONTENT_MEDIA_WIDTH_KEY = "article_content_media_width";
var ARTICLE_CONTENT_MEDIA_HEIGHT_KEY = "article_content_media_height";
var IS_GIF_KEY = "is_gif_key";
var MAX_INIT_IMAGE_COUNT = 100;


/*end of----------------文章正文初始化图片占位符---------------------------*/

//改变图片占位符背景色
function changeImageBgColor(isNight){
	var allElements = document.getElementsByTagName('*'); 
	for (var i=0; i< allElements.length; i++ ) 
	{ 
		var arr = allElements[i].className.split(" ");
		for (var j = arr.length - 1; j >= 0; j--) {
			if (arr[j] == "img_box" ) { 
			var imgbox = allElements[i];
			var img = imgbox.childNodes.item(0);
			var isVisibility = false;
			if(img.display != "none"){
			    isVisibility = true;
			}
			if(isNight){//改变图片占位符背景色
				if(isVisibility){//图片可见
				    imgbox.style.backgroundColor = "#1c1c1c";
				    continue;
				}
				//图片不可见
				imgbox.style.backgroundColor = "#000000";
			}else{
				if(isVisibility){//图片可见
				    imgbox.style.backgroundColor = "#ffffff";
				    continue;
				}
				imgbox.style.backgroundColor = "#f8f8f8";
			}
		} 
		};
		
	} 
}

function changeCssByServer(isNight){

   var divNode = document.getElementsByTagName("body")[0];
                
   var d_className = divNode.className + "";
   
   var has_night = d_className.indexOf("night") >= 0; 
                
   if(isNight){
   
      if(!has_night){
         divNode.className = divNode.className + "night";
      }
   }else{
      if(has_night){
         divNode.className = divNode.className.replace(/night/,"");
      }
   }
}

function scrollContent(position) {

	window.scrollTo(0, position);
}

function getCurContentScrollY() {

	var scrollY = window.pageYOffset;

	window.wst.onGetWinScrollYCallback(scrollY);
}

/* 基本参数 */
var params;

/**
 * @baseParams 基本参数
 */
function setBaseParams(baseParams){

        params = eval('(' + baseParams + ')');
}

/**
 * @param contentText 正文内容 
 * @param contentTextColor 正文字体颜色
 * @param contentFontSize 正文字体大小
 * @param baseParams ZAKER服务器基本参数
 * @param jsList 正文Js数组
 */
function insertContentTextForContent(contentText, contentTextColor, contentFontSize, baseParams, jsList) {

        params = eval('(' + baseParams + ')');

	var temple_title = document.getElementById("temple_title");
	temple_title.style.display = "block";

	var content_text = document.getElementById("content_text");

	content_text.style.display = "block";
	content_text.innerHTML = contentText;
	content_text.style.backgroundColor = contentTextColor;
	content_text.style.fontSize = contentFontSize + 'px';
	content_text.style.lineHeight = '1.5em';

	content_text.style.marginBottom = '0px';
	content_text.style.paddingBottom = '0px';

	setScriptForContent("content_js", "content_text", jsList);
	
	return true;
}

function insertReadOriginalImg(isHideOriginal, originalUrl, color) {

	var originalDiv = document.getElementById('find_original_url');

	if (isHideOriginal) {

		originalDiv.style.display = "none";
		return;
	}

	var originalHref = document.getElementById('original');

	if (originalHref != null) {
		originalDiv.removeChild(originalHref);
	}

	//originalDiv.style.backgroundColor = 'red';
	originalDiv.style.lineHeight = '0px';

	originalHref = document.createElement('a');
	originalHref.style.height = '24px';
	originalHref.style.maxWidth = '96px';
	originalHref.style.textDecoration = 'none';
	originalHref.style.borderBottom = '0px';
	originalHref.style.margin = '0px';
	originalHref.style.padding = '0px';
	originalHref.href = originalUrl;
	originalHref.innerText = "";

	var originalImg = document.createElement('img');
	originalImg.style.height = '24px';
	originalImg.style.maxWidth = '96px';
	originalImg.style.margin = '0px';
	originalImg.style.padding = '0px';
	originalImg.src = 'file:///android_asset/html/ic_read_origin.png';
	originalHref.appendChild(originalImg);
	originalDiv.appendChild(originalHref);
}

function appendLikeIcon(shouldShowLike) {

    var appendDiv = document.getElementById('content_bottom_button');

	var likeArticleDiv = document.createElement('div');

	//微信分享图标
	var shareWeChatFriendsImg = document.createElement('img');
	shareWeChatFriendsImg.src = 'file:///android_asset/html/ic_article_wechat_friends.png';
	shareWeChatFriendsImg.id = 'share_wechat_friends_img_id';
	shareWeChatFriendsImg.style.width = "65px";

	//新浪分享图标
	var shareSinaImg = document.createElement('img');
	shareSinaImg.src = 'file:///android_asset/html/ic_article_sina.png';
	shareSinaImg.id = 'share_sina_img_id';
	shareSinaImg.style.width = "65px";
	shareSinaImg.style.marginLeft = "25px";

	//点赞图标
	var likeArticleImg = document.createElement('img');
	likeArticleImg.src = 'file:///android_asset/html/ic_article_liked.png';
	likeArticleImg.id = 'like_article_img_id';
	likeArticleImg.style.width = "65px";
	likeArticleImg.style.marginRight = "25px";


		//朋友圈图标点击事件
		shareWeChatFriendsImg.onclick = function shareWeChat() {
			var rect = shareWeChatFriendsImg.getBoundingClientRect();
			prompt('onClickShareWeChatFriends', Math.floor(rect.left) + ',' + Math.floor(rect.top));
		};

		//新浪微博图标点击事件
		shareSinaImg.onclick = function shareSina() {
			var rect = shareSinaImg.getBoundingClientRect();
			prompt('onClickShareSina', Math.floor(rect.left) + ',' + Math.floor(rect.top));
		};

		//点赞点击事件
		likeArticleImg.onclick = function like() {

			var rect = likeArticleImg.getBoundingClientRect();
			prompt('onClickLikeArticle', Math.floor((rect.left + rect.right) / 2) + ',' + Math.floor(rect.top));
		};


	if (shouldShowLike) {
		likeArticleDiv.appendChild(likeArticleImg);
	} else {
		shareSinaImg.style.marginRight = "0";
	}
	likeArticleDiv.appendChild(shareWeChatFriendsImg);
	likeArticleDiv.appendChild(shareSinaImg);

	var likeArticleNumSpan = document.createElement('span');

	likeArticleNumSpan.id = 'like_article_num_span_id';

	likeArticleNumSpan.style.color = '#686868';

	likeArticleNumSpan.style.fontSize = '0.8em';

	likeArticleDiv.appendChild(likeArticleNumSpan);

	likeArticleDiv.style.textAlign = 'center';

	likeArticleDiv.style.marginLeft = 'auto';

	likeArticleDiv.style.marginRight = 'auto';

	likeArticleDiv.style.paddingBottom = '20px';

	appendDiv.appendChild(likeArticleDiv); 

}

/**
 *用于文章正文内控制微信分享图标是否显示 
 */
function ensureShareWeChatFriendsImg(isShow){
	var weChatFriendsImg = document.getElementById('share_wechat_friends_img_id');
	var sinaImg = document.getElementById('share_sina_img_id');
	if (isShow) {
		weChatFriendsImg.style.display = "inline";
	} else {
		weChatFriendsImg.style.display = "none";
		sinaImg.style.marginLeft = "0px";
	}
}
/**
 *
 * @param {Object} isLiked 为true，则视为由“未赞”变为“已赞”；为false，则视为由“已赞”变为“未赞”
 */
function ensureLikeArticleImg(isChangeToLiked) {

	var likeArticleImg = document.getElementById('like_article_img_id');

	var likeArticleNumSpan = document.getElementById('like_article_num_span_id');

	var likeNumDescri = likeArticleNumSpan.textContent;

	var likeNum = likeNumDescri.toString().substring(0, (likeNumDescri.length - getLikeNumPostFix().length));

	//alert("ensureLikeArticleImg-"+likeNum);

	//字符串由纯数字组成
	if (+likeNum + "" !== "NaN" && likeNum > 1) {

		if (isChangeToLiked) {
			likeNum = +likeNum + 1;
		} else {
			likeNum = +likeNum - 1;
		}

		likeArticleNumSpan.innerHTML = likeNum + getLikeNumPostFix();
	}
	
	if (isChangeToLiked) {
		likeArticleImg.src = 'file:///android_asset/html/ic_article_unliked.png';
	} else {
		likeArticleImg.src = 'file:///android_asset/html/ic_article_liked.png';
	}
}

function ensureLikeArticleNumSpan(likeNumStr) {

	var likeArticleNumSpan = document.getElementById('like_article_num_span_id');

	likeArticleNumSpan.innerHTML = likeNumStr + getLikeNumPostFix();
}

function showCommentLoading(HTMLString, HtmlURL, isShow) {

	var content_comment_state_url = document.getElementById("content_comment_state_url");
	var content_comment_state = document.getElementById("content_comment_state");
	var content_comment_topline = document.getElementById("content_comment_topline");
	var no_comment = document.getElementById("no_comment");
	no_comment.style.display = "none";
	content_comment_topline.style.display = "block";
	content_comment_state.style.display = isShow;
	content_comment_state_url.innerHTML = HTMLString;
	content_comment_state_url.href = HtmlURL;
}

function clearCommit() {
	var content_comment_text = document.getElementById('content_comment_text');
	content_comment_text.innerHTML = '';
}

function insertCommentraw(from, image, time, content, pk) {
	var content_comment_title = document.getElementById('content_comment_title');
	content_comment_title.style.display = "block";

	var commmit = document.getElementById('content_comment_text');
	var table = document.createElement('table');
	var tr1 = document.createElement('tr');
	var tr2 = document.createElement('tr');

	var td1 = document.createElement('td');
	var td2 = document.createElement('td');
	var td3 = document.createElement('td');
	var td4 = document.createElement('td');
	var a = document.createElement('a');
	var img = document.createElement('img');

	td1.appendChild(img);

	tr1.appendChild(td1);
	tr1.appendChild(td2);
	tr1.appendChild(td3);

	tr2.appendChild(td4);

	table.appendChild(tr1);
	table.appendChild(tr2);

	a.appendChild(table);
	commmit.appendChild(a);

	table.className = 'commentTable';
	img.className = 'imgs';

	td1.className = 'commentTableTdImage';
	td2.className = 'commentTableTitle';
	td3.className = 'commentTableTime';
	td4.className = 'commentTableContent';

	a.href = "ReplyComment?" + pk + "&" + from;
	a.style.margin = '0';
	a.style.padding = '0';

	td1.rowSpan = "2";
	td1.align = "left";

	td2.align = "left";

	td3.align = "right";

	td4.colSpan = "2";

	td1.width = "40px";

	img.src = image;

	td2.innerHTML = from;
	td3.innerHTML = time;
	td4.innerHTML = content;

}

//判断元素是否有该class样式
function hasClass(obj, cls) {
    return obj.className.match(new RegExp('(\\s|^)' + cls + '(\\s|$)'));
}
//为该元素添加指定样式
function addClass(obj, cls) {
    if (!this.hasClass(obj, cls)) obj.className += " " + cls;
}
//为该元素移除指定样式
function removeClass(obj, cls) {
    if (hasClass(obj, cls)) {
        var reg = new RegExp('(\\s|^)' + cls + '(\\s|$)');
        obj.className = obj.className.replace(reg, ' ');
    }
}

function initImgLoading(name, name1) {
	var img = document.getElementsByTagName("img");
	var y = img.length;
	var i = 0;
	for (var i = 0; i < y; i++) {
		var src = img[i].src;
		if (src == name) {
			img[i].src = name1;
		}
	}
}

function initLoadingImg(name) {
	var img = document.getElementById("loadImg");
	img.src = name;
}

function changeTextSize(Size) {
	var content_text = document.getElementById("content_text");
	content_text.style.fontSize = Size + 'px';
}

function insertRelativeArticleTitle(content) {

	var content_relatedArticles = document.getElementById('content_relatedArticles');
	content_relatedArticles.style.display = "block";

	if (content == "") {
		content = " ";
	}
	var relatedArticles_title = document.createElement('div');
	var relatedArticles_content = document.createElement('div');
	var relatedArticles_title_p = document.createElement('p');

	relatedArticles_title_p.style.marginLeft = "4%";
	relatedArticles_title_p.innerHTML = content + " ";

	relatedArticles_title.className = "recommendTitle_css";

	relatedArticles_content.id = "relatedArticles_content";

	relatedArticles_title.appendChild(relatedArticles_title_p);

	content_relatedArticles.appendChild(relatedArticles_title);
	content_relatedArticles.appendChild(relatedArticles_content);
}

function insertRelativeArticleRaw(from, image, time, content, pk, isBottom) {
	var relatedArticles_content = document.getElementById('relatedArticles_content');

	var a = document.createElement('a');
	var relatedArticlesTitle = document.createElement('div');
	var relatedArticlesContent = document.createElement('div');

	a.style.display = "block";
	relatedArticlesTitle.style.display = "block";

	relatedArticlesTitle.className = 'recommendTitle';

	if (isBottom) {

		relatedArticlesContent.className = 'recommend_main_bottom';

	} else {

		relatedArticlesContent.className = 'recommend_main';
	}

	a.href = "RelativeArticle?" + pk;

	if (image != "null") {
		content = content + "<img style='height: 0.8em' src='" + image + "'/>";
	}

	//content = "content"+src+"<img style='height: 0.8em' src='http://upload.myzaker.com/data/image/mark/topic_2x.png?1'/>";

	relatedArticlesContent.innerHTML = content;

	a.appendChild(relatedArticlesContent);

	relatedArticlesTitle.appendChild(a);

	relatedArticles_content.appendChild(relatedArticlesTitle);
}

function insertRelativeBlockTitle(content) {

	var content_relatedBlock = document.getElementById('content_relatedBlock');
	content_relatedBlock.style.display = "block";

	if (content == "") {
		content = " ";
	}
	var relatedBlock_title = document.createElement('div');
	var relatedBlock_content = document.createElement('div');
	var relatedBlock_title_p = document.createElement('p');

	relatedBlock_title_p.style.marginLeft = "4%";
	relatedBlock_title_p.innerHTML = content + " ";

	relatedBlock_title.className = "recommendTitle_css";

	relatedBlock_content.id = "relatedBlock_content";

	relatedBlock_title.appendChild(relatedBlock_title_p);

	content_relatedBlock.appendChild(relatedBlock_title);
	content_relatedBlock.appendChild(relatedBlock_content);
}

function insertRelativeBlockRaw(content, pk, isBottom) {
	var relatedBlock_content = document.getElementById('content_relatedBlock');

	var a = document.createElement('a');
	var relatedBlockTitle = document.createElement('div');
	var relatedBlockContent = document.createElement('div');

	a.style.display = "block";

	relatedBlockTitle.style.display = "block";

	relatedBlockTitle.className = 'recommendTitle';

	if (isBottom) {

		relatedBlockContent.className = 'recommend_main_bottom';

	} else {

		relatedBlockContent.className = 'recommend_main';
	}

	a.href = "RelativeBlock?" + pk;

	relatedBlockContent.innerHTML = content;

	a.appendChild(relatedBlockContent);

	relatedBlockTitle.appendChild(a);

	relatedBlock_content.appendChild(relatedBlockTitle);
}

function insertRecommendTitle(content, index) {

	var content_recommend = document.getElementById('content_recommend');

	if (content == "") {
		content = " ";
	}
	var recommend_title = document.createElement('div');
	var recommend_content = document.createElement('div');
	var recomment_title_p = document.createElement('p');

	recomment_title_p.style.marginLeft = "3%";

	recomment_title_p.innerHTML = content + " ";
	recommend_title.className = "recommendTitle_css";

	recommend_content.id = "recommend_content" + index;

	recommend_title.appendChild(recomment_title_p);
	content_recommend.appendChild(recommend_title);
	content_recommend.appendChild(recommend_content);

}

function insertRecommendRaw(src, content, pk, isBottom, index) {

	var recommend_content = document.getElementById('recommend_content' + index);

	var a = document.createElement('a');
	var recommendTitle = document.createElement('div');
	var recommendContent = document.createElement('div');

	a.style.display = "block";
	recommendTitle.style.display = "block";

	recommendTitle.className = 'recommendTitle';

	if (isBottom) {

		recommendContent.className = 'recommend_main_bottom';

	} else {

		recommendContent.className = 'recommend_main';
	}

	a.href = "Recommend?" + pk;

	if (src != "null") {
		content = content + "&nbsp;<img style='height: 0.8em' src='" + src + "'/>";
	}

	//content = "content"+src+"<img style='height: 0.8em' src='http://upload.myzaker.com/data/image/mark/topic_2x.png?1'/>";

	recommendContent.innerHTML = content;

	a.appendChild(recommendContent);

	recommendTitle.appendChild(a);

	recommend_content.appendChild(recommendTitle);
}


function insertRecommendBlockRaw(src, content, pk, isBottom, index,elementTag,isAdded,channelPK) {

    var recommend_content = document.getElementById(elementTag+index);

    var leftDiv = document.createElement('div');
    var rightA = document.createElement('a');
    var centerA = document.createElement('a');

    var recommendTitle = document.createElement('div');
    var recommendContent = document.createElement('div');
    var recommendCenterCoantent = document.createElement('div');

    leftDiv.className = "article_channel_left";
    rightA.className = "article_channel_right";
    centerA.className = "article_channel_center";

    recommendTitle.className = "aritlce_recommendTitle";
    recommendCenterCoantent.className = "recommend_main_bottom";

    if (isBottom) {
        //recommendContent.className = "article_recommend_main_bottom";
        recommendContent.className = 'article_recommend_main_bottom';
    } else {
        recommendContent.className = 'article_recommend_main';
    }

    centerA.href = "Recommend?" + pk;
    if (src != "null") {
        content = content + "&nbsp;<img style='height: 0.8em' src='" + src + "'/>";
    }

    recommendCenterCoantent.innerHTML = content;
    centerA.appendChild(recommendCenterCoantent);

    rightA.href = "AddChannel?" + pk;

    var rightAContent = document.createElement('div');
    rightAContent.className = "article_channel_right_div";

    var channelAddImg = document.createElement('img');
    channelAddImg.className = "article_channel_add_img";
    channelAddImg.id = "channel_add_img_" + channelPK;

    if (isAdded) {
        channelAddImg.src = "file:///android_asset/html/channellist_hasadd_icon.png";
    } else {
        channelAddImg.src = "file:///android_asset/html/channellist_noadd_icon.png";
    }

    rightAContent.appendChild(channelAddImg);
    rightA.appendChild(rightAContent);

    recommendContent.appendChild(leftDiv);
    recommendContent.appendChild(rightA);
    recommendContent.appendChild(centerA);

    recommendTitle.appendChild(recommendContent);


    recommend_content.appendChild(recommendTitle);

    if (isBottom) {

    } else {

        var bottomDiv = document.createElement('div');
        bottomDiv.className = "aritlce_recommendTitle_Bottom_Line";
        recommend_content.appendChild(bottomDiv);
    }

}

function ensureChannelAdded(channelPK, isAdded) {
    
    var channelAddId = "channel_add_img_" + channelPK;
    var channelAddImg = document.getElementById(channelAddId);
    if (channelAddImg) {

        if (isAdded) {
            channelAddImg.src = "file:///android_asset/html/channellist_hasadd_icon.png";
        } else {
            channelAddImg.src = "file:///android_asset/html/channellist_noadd_icon.png";
        }
    }
}


function setScriptForContent(mainContentId, insetContentId, jsList) {
	var content_text = document.getElementById(insetContentId);
	var content_js = document.getElementById(mainContentId);
	var y = jsList.length;
	var i = 0;

	for ( i = 0; i < y; i++) {
		var x = document.createElement("SCRIPT");
		x.src = jsList[i];
		x.defer = true;
		alert(""+x.src);
		content_js.appendChild(x);
	}
}

function randomColor() {
	var color;
	var c = new Array("#373d65", "#192d3a", "#c94412", "#0e99ce", "#84190c", "#196e78", "#284a3a", "#2a3b4e");
	var i = parseInt(10 * Math.random());
	return c[i];
}

/*----------------------------------------------start of 评论 JS--------------------------------------------------------------------*/

String.prototype.trim = function() {
	return this.replace(/(^\s*)|(\s*$)/g, '');
};

Array.prototype.contains = function(obj) {

	var i = this.length;
	while (i--) {

		if (this[i] === obj) {
			return true;
		}
	}
	return false;
};

function getDefaultBrokenLink() {

	return "zakerBrokenLink&?&";
}

function getReplyCommentLink(commentPk, commentAuthorName) {

	return "zakerReplyComment?" + commentPk + "&" + commentAuthorName;
}

function getReadAllCommentLink(articlePk) {

	return "zakerReadAllComment?" + articlePk;
}

function getLikeNumPostFix() {

	return "  赞";
}

/**
 * @param {评论标题} titleText
 */
function insertCommentTitle(titleText) {

	var commentRaw = document.getElementById('no_comment');

	//	var titleTxtTd = document.getElementById('comment_title_txt_td');
	//	if (titleTxtTd != null) {
	//		titleTxtTd.innerHTML = titleText;
	//	}

	var titleTable = document.createElement('table');

	titleTable.id = 'comment_title_table';

	var tr1 = document.createElement('td');
	var tr2 = document.createElement('td');
	tr2.id = 'comment_title_txt_td';
	var tr3 = document.createElement('td');

	var leftLine = document.createElement('div');
	var rightLine = document.createElement('div');

	// tr1.className = 'commentLine';
	tr1.style.width = '5%';

	leftLine.className = 'commentTitleDivider';

	//leftLine.style.width = '100%';
	//leftLine.style.height = '1px';
	//leftLine.style.backgroundColor = '#ececec';

	//tr1.style.width = '5%';
	// tr1.style.background = 'red';
	// tr1.style.paddingTop = '5px';
	// tr1.style.paddingBottom = '5px';
	tr1.style.verticalAlign = 'middle';
	tr1.appendChild(leftLine);

	// tr2.style.paddingTop = '5px';
	// tr2.style.paddingBottom = '5px';
	tr2.style.verticalAlign = 'middle';
	tr2.style.whiteSpace = "nowrap";
	// tr2.style.background = 'blue' #686868;
	tr2.style.color = '#fb4747';
	tr2.style.fontSize = '0.75em';
	//color:#686868;
	//font-size:0.8em;
	tr2.innerHTML = titleText;

	// tr3.className = 'commentLine';
	// tr3.style.width = '90%';

	rightLine.className = 'commentTitleDivider';

	//rightLine.style.width = '100%';
	//rightLine.style.height = '1px';
	//rightLine.style.backgroundColor = '#ececec';

	// tr3.style.paddingTop = '5px';
	// tr3.style.paddingBottom = '5px';
	// tr3.style.background = 'red';
	tr3.style.width = '90%';
	tr3.style.verticalAlign = 'middle';
	tr3.appendChild(rightLine);

	titleTable.style.border = '0px';
	titleTable.style.borderCollapse = 'collapse';
	titleTable.align = 'center';
	titleTable.appendChild(tr1);
	titleTable.appendChild(tr2);
	titleTable.appendChild(tr3);

	commentRaw.appendChild(titleTable);
}

function insertComment(jsonStr, articlePk, publishTime, allCommentLikeRecords) {

	//alert('insertComment 1-' + jsonStr);

	if (!jsonStr || jsonStr == '' || typeof (jsonStr) == 'undefined') {
		return;
		//alert('格式错误');
	}

	var comments = jsonStr;

	var commentTitleTxt = comments.title;

	var commentNextUrl = comments.next_url;

	var commentContentArray = comments.list;

	var publishTimesArray = publishTime.split(",");

	//alert('insertComment 3-' + commentContentArray.length);

	//删除原有评论
	var commentRaw = document.getElementById('no_comment');
	
	while(commentRaw.hasChildNodes()){
	
	   commentRaw.removeChild(commentRaw.lastChild);
	}

	var moreCommentHref = document.getElementById('more_comment_href_id');

	if (moreCommentHref != null) {

		commentRaw.removeChild(moreCommentHref);
	}

	//插入评论标题
	insertCommentTitle(commentTitleTxt);

	var allLikedRecorderString = allCommentLikeRecords;

	var allRecorderArray = allLikedRecorderString.split(",");

	var iconSrc, authorName, issueTime, likeNum, isLiked = true, commentPk, commentContent, hasMore = true, index, replyCommentContent;

	var replyCommentModel;

	//插入评论内容
	for (var i = 0; i < commentContentArray.length; i++) {

		iconSrc = commentContentArray[i].auther_icon;
		authorName = commentContentArray[i].auther_name;
		issueTime = publishTimesArray[i];
		likeNum = commentContentArray[i].like_num;
		commentPk = commentContentArray[i].pk;
		commentContent = commentContentArray[i].content;
		isLiked = allRecorderArray.contains(commentPk);
		index = i;

		replyCommentModel = commentContentArray[i].reply_comment;

		if (isNormalVarObj(replyCommentModel)) {

			replyCommentContent = replyCommentModel.auther_name + "：" + replyCommentModel.content;
		}else{
			replyCommentContent = '';
		}

		insertCommentRow(authorName, issueTime, likeNum, isLiked, commentPk, commentContent, index, articlePk, replyCommentContent);
	}

	//alert('insertComment 5-');

	if (hasMore) {

		insertMoreCommentHref(articlePk);
	}
}

function insertMoreCommentHref(articlePk) {

	//alert('insertComment 6-');

	var commentRaw = document.getElementById('no_comment');
	var moreCommentHref = document.createElement('a');
	moreCommentHref.id = 'more_comment_href_id';
	var moreCommentDiv = document.createElement('div');
	//moreCommentDiv.style.vertical-align='middle';
	//alert('insertComment 7-');

	moreCommentDiv.className = 'More';
	moreCommentDiv.innerHTML = '查看全部评论';
	moreCommentHref.href = getReadAllCommentLink(articlePk);
	moreCommentHref.style.margin = '0';
	moreCommentHref.style.padding = '0';
	//顶部分割线
	var dividerLine = document.createElement('div');
	dividerLine.className = "commentTableDividerLine";
	moreCommentHref.appendChild(dividerLine);
	moreCommentHref.appendChild(moreCommentDiv);
	commentRaw.appendChild(moreCommentHref);

	//alert('insertComment 8-');
}

function isNormalVarObj(obj) {

	return !(!obj || obj == '' || typeof (obj) == 'undefined');
}

/**
 *
 * @param {Object} authorName
 * @param {Object} issueTime
 * @param {Object} likeNum
 * @param {Object} isLiked
 * @param {Object} commentPk
 * @param {Object} commentContent
 * @param {Object} index
 */
function insertCommentRow1(authorName, issueTime, likeNum, isLiked, commentPk, commentContent, index, articlePk) {

	var commentRaw = document.getElementById('no_comment');

	var commentTable = document.createElement('table');

	commentTable.id = 'comment_raw_table_' + index;

	if (index == 0) {

		commentTable.className = 'commentTableNonBorder';
	} else {

		commentTable.className = 'commentTable';
	}

	var tr1 = document.createElement('tr');
	var tr2 = document.createElement('tr');
	var tr3 = document.createElement('tr');

	var td1 = document.createElement('td');
	var td2 = document.createElement('td');
	var td3 = document.createElement('td');
	var td4 = document.createElement('td');
	var td5 = document.createElement('td');

	var replyHref = document.createElement('a');
	var likeHref = document.createElement('a');
	var informHref = document.createElement('a');

	commentTable.cellPadding = '0';
	commentTable.cellSpacing = '0';

	/*----------------------头像、（用户名、发布时间）、赞的数目----------*/

	//头像
	var iconDiv = document.createElement('div');
	var iconImg = document.createElement('img');
	//头像URL统一由Java下载，然后使用insertCommentIconImg回调设置，不用WebView本身下载
	//此处仅仅设置默认图
	//iconImg.src = iconSrc;
	iconDiv.id = 'comment_authoricon_div_' + index;
	iconImg.id = 'comment_authoricon_img_' + index;
	//iconImg.src = 'file:///android_asset/html/weibo_head.png';
	iconImg.className = 'commentAvatarDefaultImage';
	iconDiv.appendChild(iconImg);
	td1.appendChild(iconDiv);
	td1.rowSpan = '3';
	td1.className = 'commentTableTdImage';
	tr1.appendChild(td1);

	//（用户名、发布时间）
	var authorNameSpan = document.createElement('span');
	var issueTimeSpan = document.createElement('span');
	authorNameSpan.className = 'commentTableTitle';
	authorNameSpan.innerText = authorName;
	// alert(""+authorNameSpan.style.width);
	// if(authorNameSpan > 81){
	// authorNameSpan.style.width = '80px';
	// }
	issueTimeSpan.className = 'commentTableTime';
	issueTimeSpan.innerText = issueTime;
	td2.appendChild(authorNameSpan);
	td2.appendChild(issueTimeSpan);
	tr1.appendChild(td2);

	//赞的数目
	var likeNumDiv = document.createElement('div');
	likeNumDiv.className = 'commentTableAction';
	likeNumDiv.innerText = likeNum + getLikeNumPostFix();
	td3.appendChild(likeNumDiv);
	tr1.appendChild(td3);
	commentTable.appendChild(tr1);

	/*--------------评论内容--------------------------------*/
	td4.innerText = commentContent;
	td4.colSpan = '2';
	td4.className = 'commentTableContent';
	tr2.appendChild(td4);
	commentTable.appendChild(tr2);

	/*-------------回复评论提示图片、赞评论按钮--------------------------------*/
	//赞评论按钮-
	//alert("赞评论按钮-");
	var smallIconHeight = '16px';
	var smallIconMaxWidth = '50px';
	var likeBtnImg = document.createElement('img');
	likeBtnImg.style.maxWidth = smallIconMaxWidth;
	likeBtnImg.style.height = smallIconHeight;
	if (!isLiked) {

		likeBtnImg.src = 'file:///android_asset/html/ic_comment_unliked.png';
		//likeBtnImg.style.border = '0px';
		//likeBtnImg.onclick = function likeComment(){
		//	window.zakerJs.onClickLikeComment(commentPk, articlePk);
		//	likeBtnImg.src = 'file:///android_asset/html/ic_comment_liked.png';
		//	isLiked = true;
		//};
		//td5.appendChild(likeBtnImg);

		likeHref.style.textDecoration = 'none';
		likeHref.style.borderBottom = '0px';
		likeHref.href = getDefaultBrokenLink();
		likeHref.style.margin = '0px';
		likeHref.style.padding = '0px';
		likeHref.onclick = function likeComment() {

			//alert("likeHref.onclick");
			if (!isLiked) {

				// window.zakerJs.onClickLikeComment(commentPk, articlePk);
				//td5.insertBefore(likeBtnImg,likeHref);
				//td5.removeChild(likeHref);

				likeNum = (+likeNum + 1);
				likeNumDiv.innerText = likeNum + getLikeNumPostFix();
				var rect = likeNumDiv.getBoundingClientRect();
				prompt('onClickLikeComment', commentPk + ',' + articlePk + ',' + Math.floor(rect.left) + ',' + Math.floor(rect.top) + "," + Math.floor(rect.right) + "," + Math.floor(rect.bottom));
				likeBtnImg.src = 'file:///android_asset/html/ic_comment_liked.png';

				isLiked = true;
			}
			return false;
		};
		likeHref.appendChild(likeBtnImg);
		td5.appendChild(likeHref);
	} else {
		likeBtnImg.src = 'file:///android_asset/html/ic_comment_liked.png';
		td5.appendChild(likeBtnImg);
	}

	//回复评论提示图片
	var replyTipImg = document.createElement('img');
	replyTipImg.src = 'file:///android_asset/html/ic_reply_comment.png';
	replyTipImg.style.maxWidth = smallIconMaxWidth;
	replyTipImg.style.height = smallIconHeight;
	replyTipImg.className = 'commentTableOptionItem';
	td5.appendChild(replyTipImg);

	//onClickInfomComment
	var isInformed = false;
	var informBtnImg = document.createElement('img');
	informBtnImg.style.maxWidth = smallIconMaxWidth;
	informBtnImg.style.height = smallIconHeight;
	informBtnImg.src = 'file:///android_asset/html/ic_inform_comment.png';
	informBtnImg.className = 'commentTableOptionItem';
	informHref.style.textDecoration = 'none';
	informHref.style.borderBottom = '0px';
	informHref.href = getDefaultBrokenLink();
	informHref.style.margin = '0px';
	informHref.style.padding = '0px';
	informHref.onclick = function informComment() {

		//alert("likeHref.onclick");
		if (!isInformed) {
			// window.zakerJs.onClickInformComment(commentPk, articlePk);
			prompt('onClickInformComment', commentPk + ',' + articlePk);
			informBtnImg.src = 'file:///android_asset/html/ic_informed_comment.png';
			//td5.insertBefore(likeBtnImg,likeHref);
			//td5.removeChild(likeHref);
			isInformed = true;
		}
		return false;
	};
	informHref.appendChild(informBtnImg);
	td5.appendChild(informHref);

	td5.colSpan = '2';
	td5.align = 'right';
	td5.className = 'commentTableOption';
	tr3.appendChild(td5);
	commentTable.appendChild(tr3);

	/*************************点击回复*******************************************/
	replyHref.href = getReplyCommentLink(commentPk, authorName);
	//replyHref.href = getDefaultBrokenLink();
	replyHref.style.margin = '0';
	replyHref.style.padding = '0';
	//replyHref.onclick = function replyComment(){
	//	alert("replyHref.onclick");
	//	window.zakerJs.onClickReplyComment(commentPk, authorName);
	//	return false;
	//};
	replyHref.appendChild(commentTable);
	commentRaw.appendChild(replyHref);
	//commentRaw.appendChild(commentTable);
}

/**
 *
 * @param {Object} authorName
 * @param {Object} issueTime
 * @param {Object} likeNum
 * @param {Object} isLiked
 * @param {Object} commentPk
 * @param {Object} commentContent
 * @param {Object} index
 */
function insertCommentRow(authorName, issueTime, likeNum, isLiked, commentPk, commentContent, index, articlePk, replyCommentContent) {

	var commentRaw = document.getElementById('no_comment');

	var commentTable = document.createElement('table');

	commentTable.id = 'comment_raw_table_' + index;

	var tr1 = document.createElement('tr');
	var tr2 = document.createElement('tr');
	var tr3 = document.createElement('tr');

	var td1 = document.createElement('td');
	var td2 = document.createElement('td');
	var td3 = document.createElement('td');
	var td4 = document.createElement('td');
	var td5 = document.createElement('td');

	var replyHref = document.createElement('a');
	var likeHref = document.createElement('a');
	var informHref = document.createElement('a');
	var moreHref = document.createElement('a');

	commentTable.cellPadding = '0';
	commentTable.cellSpacing = '0';

	/*----------------------头像、（用户名、发布时间）、赞的数目----------*/

	//头像
	var iconDiv = document.createElement('div');
	var iconImg = document.createElement('img');
	//头像URL统一由Java下载，然后使用insertCommentIconImg回调设置，不用WebView本身下载
	//此处仅仅设置默认图
	//iconImg.src = iconSrc;
	iconDiv.id = 'comment_authoricon_div_' + index;
	iconImg.id = 'comment_authoricon_img_' + index;
	//iconImg.src = 'file:///android_asset/html/weibo_head.png';
	iconImg.className = 'commentAvatarDefaultImage';
	iconDiv.appendChild(iconImg);
	td1.appendChild(iconDiv);
	td1.rowSpan = '4';
	td1.className = 'commentTableTdImage';
	tr1.appendChild(td1);

	//（用户名、发布时间）
	var authorNameSpan = document.createElement('span');
	var issueTimeSpan = document.createElement('div');
	authorNameSpan.className = 'commentTableTitle';
	authorNameSpan.innerText = authorName;
	// alert(""+authorNameSpan.style.width);
	// if(authorNameSpan > 81){
	// authorNameSpan.style.width = '80px';
	// }
	issueTimeSpan.className = 'commentTableTime';
	issueTimeSpan.innerText = issueTime;
	//td2.className = 'commentTableTitle';
	td2.appendChild(authorNameSpan);
	var br = document.createElement('br');
	td2.appendChild(br);
	td2.appendChild(issueTimeSpan);
	td2.style.verticalAlign = "top";
	tr1.appendChild(td2);

	var td0 = document.createElement('td');
	var tr0 = document.createElement('tr');
	// td0.appendChild(issueTimeSpan);
	// tr0.appendChild(td0);

	var smallIconHeight = '22px';
	var smallIconMaxWidth = '60px';
	var moreBtnImg = document.createElement('img');
	moreBtnImg.src = 'file:///android_asset/html/ic_more.png';
	moreBtnImg.className = 'commentTableAction';
	// moreBtnImg.style.borderColor = '#e8e8e8';
	moreHref.style.textDecoration = 'none';
	moreHref.style.borderBottom = '0px';
	moreHref.href = getDefaultBrokenLink();
	moreHref.style.margin = '0px';
	moreHref.style.padding = '0px';
	moreBtnImg.style.maxWidth = smallIconMaxWidth;
	moreBtnImg.style.height = smallIconHeight;
	moreHref.onclick = function moreCommentAction() {

		prompt('onClickMoreAction', commentPk);

		return false;
	};
	moreHref.appendChild(moreBtnImg);
	td3.appendChild(moreHref);

	//赞的数目
	var likeNumDiv = document.createElement('div');
	//var containerDiv = document.createElement('div');
	//containerDiv.style.overflow = 'hidden';
	likeNumDiv.className = 'commentTableAction';
	likeNumDiv.id = 'comment_like_img' + commentPk;
	likeHref.id = 'comment_like_href' + commentPk;

	//var likeNumSpan = document.createElement('span');

	//likeNumSpan.style.maxWidth = smallIconMaxWidth;
	//likeNumSpan.style.height = '20px';

	//likeNumSpan.innerText = likeNum + getLikeNumPostFix();

	//likeNumDiv.appendChild(likeNumSpan);

	likeNumDiv.innerText = likeNum + getLikeNumPostFix();
	likeNumDiv.style.maxWidth = smallIconMaxWidth;
	likeNumDiv.style.minWidth = '42px';
	likeNumDiv.style.height = smallIconHeight;
	//containerDiv.appendChild(likeNumDiv);
	//var bgUrl = 'file:///android_asset/html/comment_like_bg.png';

	if (!isLiked) {

		//likeNumDiv.style.backgroundImage = "url(file:///android_asset/html/comment_like_bg.png)";
		// likeNumDiv.style.borderColor = '#e8e8e8';
		likeNumDiv.style.color = '#ababab';
		likeHref.style.textDecoration = 'none';
		likeHref.style.borderBottom = '0px';
		likeHref.href = getDefaultBrokenLink();
		likeHref.style.margin = '0px';
		likeHref.style.padding = '0px';
		likeHref.onclick = function likeComment() {

			if (!isLiked) {

				//prompt('onClickLikeComment', commentPk + ',' + articlePk);
				//likeNumDiv.style.backgroundImage = "url(file:///android_asset/html/comment_liked_bg.png)";

				likeNumDiv.style.borderColor = '#fb4747';

				likeNumDiv.style.color = '#fb4747';

				likeNum = (+likeNum + 1);

				likeNumDiv.innerText = likeNum + getLikeNumPostFix();

				var rect = likeNumDiv.getBoundingClientRect();

				prompt('onClickLikeComment', commentPk + ',' + articlePk + ',' + Math.floor(rect.left) + ',' + Math.floor(rect.top) + ',' + Math.floor(rect.right) + ',' + Math.floor(rect.bottom));

				isLiked = true;
			}
			return false;
		};
		likeHref.appendChild(likeNumDiv);
		td3.appendChild(likeHref);
	} else {
		//likeNumDiv.style.backgroundImage = "url(file:///android_asset/html/comment_liked_bg.png)";
		likeNumDiv.style.borderColor = '#fb4747';
		likeNumDiv.style.color = '#fb4747';
		td3.appendChild(likeNumDiv);
	}
	//likeNumDiv.style.backgroundColor = 'red';
	//td3.appendChild(containerDiv);
	td3.align = 'right';
	td3.style.verticalAlign = "top";
	tr1.appendChild(td3);
	commentTable.appendChild(tr1);
	commentTable.appendChild(tr0);

	/*--------------评论内容--------------------------------*/
	td4.innerText = commentContent;
	td4.colSpan = '2';
	td4.className = 'commentTableContent';
	tr2.appendChild(td4);
	commentTable.appendChild(tr2);

	if (isNormalVarObj(replyCommentContent)) {
		var replyContentDiv = document.createElement('div');
		replyContentDiv.innerText = replyCommentContent;
		replyContentDiv.className = 'commentTableReplyContent';
		td5.appendChild(replyContentDiv);
		td5.colSpan = '2';
		tr3.appendChild(td5);
		commentTable.appendChild(tr3);
	}

	/*************************点击回复*******************************************/
	replyHref.href = getReplyCommentLink(commentPk, authorName);
	//replyHref.href = getDefaultBrokenLink();
	replyHref.style.margin = '0';
	replyHref.style.padding = '0';
	//replyHref.onclick = function replyComment(){
	//	alert("replyHref.onclick");
	//	window.zakerJs.onClickReplyComment(commentPk, authorName);
	//	return false;
	//};
	//每个评论之间的分割线
	var dividerLine = document.createElement('div');
	dividerLine.className = "commentTableDividerLine";
	if (index == 0) {
		commentTable.className = 'commentTableNonBorder';
	} else {
		commentTable.className = 'commentTable';
		replyHref.appendChild(dividerLine);
	}
	replyHref.appendChild(commentTable);
	commentRaw.appendChild(replyHref);
	//commentRaw.appendChild(commentTable);
}

function refreshCommentLikeState(allCommentLikedRecorderString) {

	//alert("refreshCommentLikeState -- 1");

	var allRecorderArray = allCommentLikedRecorderString.split(",");

	var likeNumDiv, likeHref, likeDescriText, index, originLikeNum, postfix;
	
	postfix = "赞";

	//alert("refreshCommentLikeState -- 2");

	for (var i = 0; i < allRecorderArray.length; i++) {

		likeNumDiv = document.getElementById('comment_like_img' + allRecorderArray[i]);
		
		likeHref = document.getElementById('comment_like_href' + allRecorderArray[i]);

		if (isNormalVarObj(likeNumDiv) && isNormalVarObj(likeHref)) {

			likeNumDiv.style.borderColor = '#fb4747';
			likeNumDiv.style.color = '#fb4747';

			likeDescriText = likeNumDiv.innerText;

			index = likeDescriText.indexOf(postfix);
			
			//index = "zan  lala".indexOf('  la');

			//alert("likeDescriText : " + likeDescriText + " - index : " + index + " - getLikeNumPostFix() : " + getLikeNumPostFix());

			if (index != -1) {

				originLikeNum = likeDescriText.substring(0, index);
				
				//alert("originLikeNum : " + ((+originLikeNum.trim()) + 1) );
				
				likeNumDiv.innerText = ((+originLikeNum.trim()) + 1) + getLikeNumPostFix();
				
				likeHref.onclick  = function likeComment() {
					
				};
			}
		}
	};
}

/**
 *
 * @param {Object} iconSrc
 * @param {Object} index
 */
function insertCommentIconImg(iconSrc, index) {

	//alert(iconSrc + '-1--' + index);

	var iconImg = document.getElementById('comment_authoricon_img_' + index);

	var iconDiv = document.getElementById('comment_authoricon_div_' + index);

	iconDiv.className = 'commentAvatarDiv';

	iconImg.className = 'commentAvatarImage';

	iconImg.src = iconSrc;

	//alert(iconSrc + '-2--' + index);
}

/*----------------------------------------------end of 评论 JS--------------------------------------------------------------------*/
function load_article_bottom(src) {
	var pucl = document.getElementsByTagName("body")[0];//动态模板的<body> id 与本地模板不一致，改用这种方式统一获取body标签
	if (pucl != null) {
		var script = document.createElement("script");
		script.src = src;
		script.type = "text/javascript";
		pucl.appendChild(script);
	}
}

/* 获取基本参数 */
function zk_get_userinfo(){

         alert("params-- " + params);

         return params;
}

document.write("<script type=\"text/javascript\"  src=\"file:///android_asset/html/zakerImage.js\"></script>");